import {
	inject,
	observer,
} from 'mobx-react'
import {
	WeaTextarea,
} from 'ecCom'

@inject('intelogin')
@observer
export default class TextArea extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			intelogin
		} = this.props, {
			expression,
			exportTxtAreaValue,
		} = intelogin, {
			txtAreaValue
		} = expression;

		return <WeaTextarea ecId={`${this && this.props && this.props.ecId || ''}_WeaTextarea@jr096d`} value={txtAreaValue} onChange={val => exportTxtAreaValue(val)} style={{height: '100%'}}/>
	}
}